package org.project.entity;

public interface Entity {
    void takeDamage(int damage);
    void heal(int health);
    void fillMana(int mana);
    int getHp();
    int getMaxHP();
    int getMp();
    int getMaxMP();
    boolean isAlive();
    String getName();
    void setStunned(boolean stunned);
    boolean isStunned();
}